/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: StateChangeFailedEvent.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.container.event;

import javax.jbi.JBIException;

/**
 * @author alouis
 */

public class StateChangeFailedEvent extends LifeCycleStateEventAbstract {
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    private JBIException exception;

    /**
     * Construct an event to notify an error during a change of state.
     * 
     * @param source
     *            the object that originated the event
     * @param exception
     *            the exception that occured in the change of the state
     */
    public StateChangeFailedEvent(Object source, JBIException exception) {
        super(source, STATE_CHANGE_EXCEPTION);

        this.exception = exception;
    }

    public JBIException getException() {
        return exception;
    }
}
