/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.task.installation.uninstall.component;

import java.util.HashMap;

import org.objectweb.petals.jbi.management.task.TaskContextConstants;
import org.objectweb.petals.platform.repository.RepositoryService;
import org.objectweb.petals.processor.Task;

/**
 * This task remove the component folder from the Petals repository<br/> Inputs :
 * component name 
 * 
 * @author ofabre
 * 
 */
public class RemoveComponentFolderTask implements Task {

    private RepositoryService repositorySrv;

    public RemoveComponentFolderTask(RepositoryService repositorySrv) {
        super();
        this.repositorySrv = repositorySrv;
    }

    public void execute(HashMap context) throws Exception {
        String componentName = (String) context
            .get(TaskContextConstants.ENTITY_NAME);

        repositorySrv.removeComponentPackage(componentName);
    }

    public void undo(HashMap context) throws Exception {
        // Nothing to do
    }

}
